<html>
<head>
<title>OGRE: Ogre::ExceptionFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ExceptionFactory.html">ExceptionFactory</a></div>
<h1>Ogre::ExceptionFactory Class Reference</h1><!-- doxytag: class="Ogre::ExceptionFactory" -->Class implementing dispatch methods in order to construct by-value exceptions of a derived type based just on an exception code.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreException_8h-source.html">OgreException.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ExceptionFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1UnimplementedException.html">UnimplementedException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#2a13a97a32a5992f1e82f6c8fb8190fb">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_NOT_IMPLEMENTED &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1FileNotFoundException.html">FileNotFoundException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#7d063369971312bb2675852a1655759e">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_FILE_NOT_FOUND &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1IOException.html">IOException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#3d07b4554fa6cf19b7f411c5e864adf9">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_CANNOT_WRITE_TO_FILE &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1InvalidStateException.html">InvalidStateException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#f622c0d4c88eba3481a5b5141b88095f">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_INVALID_STATE &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1InvalidParametersException.html">InvalidParametersException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#37f17de5fb048014074269bde8774f94">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_INVALIDPARAMS &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1ItemIdentityException.html">ItemIdentityException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#3f08ea4905d6e0b730a4e00c0724879c">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_ITEM_NOT_FOUND &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1ItemIdentityException.html">ItemIdentityException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#c6d7515b9dc9b6b308ece16a8640cb65">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_DUPLICATE_ITEM &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1InternalErrorException.html">InternalErrorException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#32f4396c0b3f4dce4687200f32c1d5c5">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_INTERNAL_ERROR &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1RenderingAPIException.html">RenderingAPIException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#42609de5fc71629fd505a445b28567c8">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_RENDERINGAPI_ERROR &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1RuntimeAssertionException.html">RuntimeAssertionException</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#dffdbf68438b18ae7819ce9520b5aa7b">create</a> (<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_RT_ASSERTION_FAILED &gt; code, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, const char *file, long line)</td></tr>

<tr><td colspan="2"><br><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html#c4da3f535cd552d055b53cb041b721e4">ExceptionFactory</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Private constructor, no construction.  <a href="#c4da3f535cd552d055b53cb041b721e4"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class implementing dispatch methods in order to construct by-value exceptions of a derived type based just on an exception code. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This nicely handles construction of derived Exceptions by value (needed for throwing) without suffering from ambiguity - each code is turned into a distinct type so that methods can be overloaded. This allows OGRE_EXCEPT to stay small in implementation (desirable since it is embedded) whilst still performing rich code-to-type mapping. </dd></dl>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00254">254</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="c4da3f535cd552d055b53cb041b721e4"></a><!-- doxytag: member="Ogre::ExceptionFactory::ExceptionFactory" ref="c4da3f535cd552d055b53cb041b721e4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ExceptionFactory::ExceptionFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Private constructor, no construction. 
<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00258">258</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="2a13a97a32a5992f1e82f6c8fb8190fb"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="2a13a97a32a5992f1e82f6c8fb8190fb" args="(ExceptionCodeType&lt; Exception::ERR_NOT_IMPLEMENTED &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1UnimplementedException.html">UnimplementedException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_NOT_IMPLEMENTED &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00260">260</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d063369971312bb2675852a1655759e"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="7d063369971312bb2675852a1655759e" args="(ExceptionCodeType&lt; Exception::ERR_FILE_NOT_FOUND &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1FileNotFoundException.html">FileNotFoundException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_FILE_NOT_FOUND &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00267">267</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<a class="anchor" name="3d07b4554fa6cf19b7f411c5e864adf9"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="3d07b4554fa6cf19b7f411c5e864adf9" args="(ExceptionCodeType&lt; Exception::ERR_CANNOT_WRITE_TO_FILE &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1IOException.html">IOException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_CANNOT_WRITE_TO_FILE &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00274">274</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<a class="anchor" name="f622c0d4c88eba3481a5b5141b88095f"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="f622c0d4c88eba3481a5b5141b88095f" args="(ExceptionCodeType&lt; Exception::ERR_INVALID_STATE &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1InvalidStateException.html">InvalidStateException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_INVALID_STATE &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00281">281</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<a class="anchor" name="37f17de5fb048014074269bde8774f94"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="37f17de5fb048014074269bde8774f94" args="(ExceptionCodeType&lt; Exception::ERR_INVALIDPARAMS &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1InvalidParametersException.html">InvalidParametersException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_INVALIDPARAMS &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00288">288</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<a class="anchor" name="3f08ea4905d6e0b730a4e00c0724879c"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="3f08ea4905d6e0b730a4e00c0724879c" args="(ExceptionCodeType&lt; Exception::ERR_ITEM_NOT_FOUND &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ItemIdentityException.html">ItemIdentityException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_ITEM_NOT_FOUND &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00295">295</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<a class="anchor" name="c6d7515b9dc9b6b308ece16a8640cb65"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="c6d7515b9dc9b6b308ece16a8640cb65" args="(ExceptionCodeType&lt; Exception::ERR_DUPLICATE_ITEM &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ItemIdentityException.html">ItemIdentityException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_DUPLICATE_ITEM &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00302">302</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<a class="anchor" name="32f4396c0b3f4dce4687200f32c1d5c5"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="32f4396c0b3f4dce4687200f32c1d5c5" args="(ExceptionCodeType&lt; Exception::ERR_INTERNAL_ERROR &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1InternalErrorException.html">InternalErrorException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_INTERNAL_ERROR &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00309">309</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<a class="anchor" name="42609de5fc71629fd505a445b28567c8"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="42609de5fc71629fd505a445b28567c8" args="(ExceptionCodeType&lt; Exception::ERR_RENDERINGAPI_ERROR &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1RenderingAPIException.html">RenderingAPIException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_RENDERINGAPI_ERROR &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00316">316</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<a class="anchor" name="dffdbf68438b18ae7819ce9520b5aa7b"></a><!-- doxytag: member="Ogre::ExceptionFactory::create" ref="dffdbf68438b18ae7819ce9520b5aa7b" args="(ExceptionCodeType&lt; Exception::ERR_RT_ASSERTION_FAILED &gt; code, const String &amp;desc, const String &amp;src, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1RuntimeAssertionException.html">RuntimeAssertionException</a> Ogre::ExceptionFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a>&lt; Exception::ERR_RT_ASSERTION_FAILED &gt;&nbsp;</td>
          <td class="paramname"> <em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00323">323</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00183">Ogre::ExceptionCodeType&lt; num &gt;::number</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreException_8h-source.html">OgreException.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:39 2008
</p>
</body>
</html>
